libzypp: ztui::mbs::MbToWc Struct Reference

libzypp 17.38.5

ztui::mbs::MbToWc Struct Reference

`#include <zypp-tui/utils/text.h>`

## Public Member Functions
| MbToWc (char ch)
bool | add (char ch)

## Public Attributes
wchar_t | _wc
char | _cont

## Static Public Attributes
static const char | _oooooooo = static_cast<char>(0000)
static const char | _Xooooooo = static_cast<char>(0200)
static const char | _XXoooooo = static_cast<char>(0300)
static const char | _XXXooooo = static_cast<char>(0340)
static const char | _XXXXoooo = static_cast<char>(0360)
static const char | _XXXXXooo = static_cast<char>(0370)
static const char | _ooXXXXXX = static_cast<char>(0077)

## Detailed Description

Definition at line 32 of file text.h.

## Constructor & Destructor Documentation

## ◆ MbToWc()

ztui::mbs::MbToWc::MbToWc | ( | char | ch | ) |
| inline

Definition at line 42 of file text.h.

## Member Function Documentation

## ◆ add()

bool ztui::mbs::MbToWc::add | ( | char | ch | ) |
| inline

Definition at line 58 of file text.h.

## Member Data Documentation

## ◆ _oooooooo

const char ztui::mbs::MbToWc::_oooooooo = static_cast<char>(0000)
| static

Definition at line 34 of file text.h.

## ◆ _Xooooooo

const char ztui::mbs::MbToWc::_Xooooooo = static_cast<char>(0200)
| static

Definition at line 35 of file text.h.

## ◆ _XXoooooo

const char ztui::mbs::MbToWc::_XXoooooo = static_cast<char>(0300)
| static

Definition at line 36 of file text.h.

## ◆ _XXXooooo

const char ztui::mbs::MbToWc::_XXXooooo = static_cast<char>(0340)
| static

Definition at line 37 of file text.h.

## ◆ _XXXXoooo

const char ztui::mbs::MbToWc::_XXXXoooo = static_cast<char>(0360)
| static

Definition at line 38 of file text.h.

## ◆ _XXXXXooo

const char ztui::mbs::MbToWc::_XXXXXooo = static_cast<char>(0370)
| static

Definition at line 39 of file text.h.

## ◆ _ooXXXXXX

const char ztui::mbs::MbToWc::_ooXXXXXX = static_cast<char>(0077)
| static

Definition at line 40 of file text.h.

## ◆ _wc

wchar_t ztui::mbs::MbToWc::_wc

Definition at line 71 of file text.h.

## ◆ _cont

char ztui::mbs::MbToWc::_cont

Definition at line 72 of file text.h.

The documentation for this struct was generated from the following file:

- zypp-tui/utils/text.h